# Set Shippo shipping rate for this online transaction

Set Shippo shipping rate for the transaction.
This rate will be used to purchase the Shippo label once the
transaction is paid. Shipment ID can be provided as an optional parameter,
depending on the flow which is used to obtain it.

Endpoint: POST /api/v1/transactions/{transaction_id}/shippo_shipping_rate
Version: 0.1.0
Security: APIKey

## Path parameters:

  - `transaction_id` (integer, required)

## Header parameters:

  - `Trustap-User` (string)
    Required in client flows, where you make API calls on behalf of another Trustap user.

## Request fields (application/json):

  - `rate_id` (string, required)
    Example: "d755e91036a84c15bd5318f4b67c7707"

  - `shipment_id` (string)

## Response 400 fields (application/json):

  - `code` (string, required)
    Example: "negative_price"

  - `error` (string, required)
    A contextual description of the error that occurred. When
handling errors the code field should be used to determine
the type of error that occurred, as the text in the error
field may change unexpectedly.
    Example: "`price` cannot be negative"


## Response 204 fields
